%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           online-desktop
Version:        0.2.29
Release:        4%{?dist}
Summary:        Desktop built around web sites and online services

Group:          Applications/Internet
License:        GPL
URL:            http://developer.mugshot.org/
#X-VCS:         svn:http://svn.mugshot.org/online-desktop/trunk
Source0:        http://download.mugshot.org/online-desktop/sources/online-desktop-%{version}.tar.gz
Source1:        Getting_Started.html
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires:	dbus-python
Requires:	gnome-python2-gconf
Requires:	bigboard >= 0.5.1
Requires:       gnome-session
Requires:       gnome-panel
Requires:       gnome-applets
Requires:       firefox

BuildRequires:	intltool
BuildRequires:	python-devel
BuildRequires:  glib2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  nspr-devel
BuildRequires:  nss-devel
BuildRequires:  dbus-devel
BuildRequires:  pidgin-devel
BuildRequires:  libpurple-devel
BuildRequires:  GConf2-devel

%description

The "online desktop" is a flavor of the GNOME desktop built around web
sites and online services. This package contains a grab-bag of
integration points with various sites and services, such as mailto:
handlers, .desktop files, and so forth.

%package flickr
Summary: Flickr integration for your desktop
Group: Applications/Internet
%description flickr
Contains a menu entry for the Flickr photo sharing site.

%package gmail
Summary: GMail integration for your desktop
Group: Applications/Internet
# requires mailto-handler (which is theoretically also required by other web mail)
Requires: online-desktop
%description gmail
Contains a menu entry for GMail.

%package google-calendar
Summary: Google Calendar integration for your desktop
Group: Applications/Internet
Requires: online-desktop
%description google-calendar
Contains a menu entry for Google Calendar.

%package google-docs
Summary: Google Docs and Spreadsheets integration for your desktop
Group: Applications/Internet
Requires: online-desktop
%description google-docs
Contains a menu entry for Google Docs and Spreadsheets.

%package google-reader
Summary: Google Reader integration for your desktop
Group: Applications/Internet
Requires: online-desktop
%description google-reader
Contains a menu entry for Google Reader.

%prep
%setup -q

cp -p %{SOURCE1} .

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f `find $RPM_BUILD_ROOT -name "*.la" -o -name "*.a"`

desktop-file-install --vendor="fedora"                  \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications       \
  --delete-original                                     \
  ${RPM_BUILD_ROOT}/%{_datadir}/applications/*.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/etc/gconf/schemas/*.schemas
%dir %{_datadir}/online-prefs-sync
%{_datadir}/online-prefs-sync/*
%{_bindir}/*
# not used yet
%dir %{_datadir}/online-desktop
%{_datadir}/online-desktop/*
%{_datadir}/xsessions/*.desktop
%{_datadir}/gnome/autostart/*.desktop
%{_datadir}/gnome/*.session
# Pidgin always uses /usr/lib
/usr/lib/pidgin/*.so
%{_datadir}/dbus-1/services/*.service
%exclude %{_datadir}/icons/hicolor/*/apps/picasa.png
%exclude %{_datadir}/icons/hicolor/*/apps/yahoo-mail.png
%dir %{python_sitearch}/pyonlinedesktop
%{python_sitearch}/pyonlinedesktop/*
%dir %{python_sitearch}/ddm
%{python_sitearch}/ddm/*
%{python_sitearch}/*.so
%doc COPYING README Getting_Started.html

%files flickr
%defattr(-,root,root,-)
%{_datadir}/applications/fedora-flickr.desktop
%{_datadir}/icons/hicolor/*/apps/flickr.png
%doc README

%files gmail
%defattr(-,root,root,-)
%{_datadir}/applications/fedora-gmail.desktop
%{_datadir}/icons/hicolor/*/apps/gmail.png
%doc README

%files google-calendar
%defattr(-,root,root,-)
%{_datadir}/applications/fedora-google-calendar.desktop
%{_datadir}/icons/hicolor/*/apps/google-calendar.png
%doc README

%files google-docs
%defattr(-,root,root,-)
%{_datadir}/applications/fedora-google-docs.desktop
%{_datadir}/icons/hicolor/*/apps/google-docs.png
%doc README

%files google-reader
%defattr(-,root,root,-)
%{_datadir}/applications/fedora-google-reader.desktop
%{_datadir}/icons/hicolor/*/apps/google-reader.png
%doc README

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%post flickr
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun flickr
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%post gmail
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun gmail
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%post google-calendar
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun google-calendar
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%post google-docs
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun google-docs
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%post google-reader
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun google-reader
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%changelog
* Thu Jun 19 2008 Owen Taylor <otaylor@redhat.com> - 0.2.29-4
- Tiny wording tweak

* Thu Jun 19 2008 Owen Taylor <otaylor@redhat.com> - 0.2.29-3
- Add Getting_Started.html

* Mon Jun 16 2008 Owen Taylor <otaylor@redhat.com> - 0.2.29-2
- Add missing BuildRequires on pidgin-devel

* Mon Jun 16 2008 Owen Taylor <otaylor@redhat.com> - 0.2.29-1
- Update to 0.2.29

* Thu Apr 29 2008 Colin Walters <walters@redhat.com> - 0.2.28-1
- new upstream

* Tue Apr 01 2008 Colin Walters <walters@redhat.com> - 0.2.25-1
- new upstream

* Tue Feb 26 2008 Colin Walters <walters@redhat.com> - 0.2.23-1
- new upstream

* Fri Oct 26 2007 Colin Walters <walters@redhat.com> - 0.2.22-1
- new upstream

* Thu Oct 25 2007 Colin Walters <walters@redhat.com> - 0.2.21-1
- new upstream

* Tue Oct 23 2007 Colin Walters <walters@redhat.com> - 0.2.20-2
- Add some deps (b.redhat.com #348591)

* Wed Oct 17 2007 Colin Walters <walters@redhat.com> - 0.2.20-1
- new upstream
- require gconf devel

* Fri Oct 05 2007 Colin Walters <walters@redhat.com> - 0.2.19-1
- new upstream

* Tue Oct 02 2007 Colin Walters <walters@redhat.com> - 0.2.18-1
- new upstream

* Thu Sep 27 2007 Colin Walters <walters@redhat.com> - 0.2.17-1
- new upstream

* Fri Sep 21 2007 Colin Walters <walters@redhat.com> - 0.2.16-1
- new upstream

* Thu Sep 20 2007 Colin Walters <walters@redhat.com> - 0.2.15-1
- new upstream
- dbus service

* Thu Sep 20 2007 Colin Walters <walters@redhat.com> - 0.2.14-1
- new upstream
- become an arch package since we have binaries
- add some brs
- use pythonsitearch

* Wed Sep 12 2007 Colin Walters <walters@redhat.com> - 0.2.13-1
- new upstream

* Tue Sep 11 2007 Colin Walters <walters@redhat.com> - 0.2.12-2
- require devilspie

* Mon Sep 10 2007 Colin Walters <walters@redhat.com> - 0.2.12-1
- new upstream

* Thu Sep 06 2007 Colin Walters <walters@redhat.com> - 0.2.10-1
- new upstream

* Mon Aug 27 2007 Colin Walters <walters@redhat.com> - 0.2.9-1
- new upstream

* Fri Aug 24 2007 Colin Walters <walters@redhat.com> - 0.2.8-1
- new upstream
- pyonlinedesktop

* Tue Aug 21 2007 Colin Walters <walters@redhat.com> - 0.2.7-1
- new upstream

* Wed Aug 01 2007 Colin Walters <walters@redhat.com> - 0.2.6-1
- new upstream

* Thu Jul 12 2007 Colin Walters <walters@redhat.com> - 0.2.5-2
- bump bigboard req

* Tue Jun 05 2007 Colin Walters <walters@redhat.com> - 0.2.5-1
- update
- add gtk-update-icon-cache for all pkgs

* Fri Jun 01 2007 Colin Walters <walters@redhat.com> - 0.2.4-1
- Update
- Icon cache update in post/postun
- Install desktop files in post
- Exclude unused desktop files
- Require newest bigboard
- Typo in sources
- Add subpackage requires

* Thu May 31 2007 Colin Walters <walters@redhat.com> - 0.2.1-1
- Update
- Require bigboard
- Fix dbus-python dep

* Fri May 25 2007 Colin Walters <walters@redhat.com> - 0.2-1
- Add god-mode

* Tue May  1 2007 Havoc Pennington <hp@redhat.com> - 0.1-2
- add subpackage for each user-visible app

* Thu Apr 26 2007 Havoc Pennington <hp@redhat.com> - 0.1-1
- created package

